%  esempio di propagazione degli errori di arrotondamento
%  eseguiamo per n volte la radice quadrata di x
%  eseguiamo per n volte il quadrato del risultato
%   x=100 e n variabile

n = input(' n = ') % visualizziamo la stringa e leggiamo n

xn = 100;
xt = xn;

for i=1:n  %  primoindice: incr : secondoindice
    xn = sqrt(xn);
end 

disp(' xn dopo le radici')
disp(xn)
disp(abs(1-xn))

for i=1:n
    xn = xn^2;
end

%  errore relativo
err_rel = abs(xt-xn)/abs(xt);
disp(' errore relativo')
disp(err_rel);

% fine scriptrad